import type { OctokitResponse } from "@octokit/types";
import { IExecutionContext } from "../../i-execution-context";
export declare type ICreateTeamRequest = {
    readonly name: string;
    readonly org: string;
    readonly members: readonly string[];
};
export declare type ICreateTeamResponse = {
    readonly addMembersResponses: readonly OctokitResponse<{
        readonly url: string;
        readonly role: "member" | "maintainer";
        readonly state: "active" | "pending";
    }, 200>[];
    readonly createTeamResponse: OctokitResponse<{
        readonly id: number;
        readonly node_id: string;
        readonly url: string;
        readonly html_url: string;
        readonly name: string;
        readonly slug: string;
        readonly description: string | null;
        readonly privacy?: "closed" | "secret" | undefined;
        readonly permission: string;
        readonly members_url: string;
        readonly ldap_dn?: string | undefined;
    }, 201>;
};
export declare function createTeam(ctx: IExecutionContext, req: ICreateTeamRequest): Promise<ICreateTeamResponse>;
